displaytask.h File Reference
`#include <stdint.h>`
`#include "BOARD_GLCD.h"`
`#include "GLCD_Config.h"`
Include dependency graph for displaytask.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | GLCD_Param_uint32_t
struct | GLCD_Param_GLCD_FONT
struct | GLCD_Param_bool
struct | GLCD_Param_2_uint32_t
struct | GLCD_Param_3_uint32_t
struct | GLCD_Param_2_uint32_t_int32_t
struct | GLCD_Param_2_uint32_t_char_p
struct | GLCD_Param_4_uint32_t
struct | GLCD_Param_5_uint32_t
struct | GLCD_Param_4_uint32_t_uint8_t_p
struct | GLCD_Command

## Enumerations

enum

DisplayCommand {
cmd_GLCD_Initialize = 0, cmd_GLCD_Uninitialize, cmd_GLCD_SetForegroundColor, cmd_GLCD_SetBackgroundColor,
cmd_GLCD_ClearScreen, cmd_GLCD_SetFont, cmd_GLCD_DrawPixel, cmd_GLCD_DrawHLine,
cmd_GLCD_DrawVLine, cmd_GLCD_DrawRectangle, cmd_GLCD_DrawChar, cmd_GLCD_DrawString,
cmd_GLCD_DrawBargraph, cmd_GLCD_DrawBitmap, cmd_GLCD_VScroll, cmd_GLCD_FrameBufferAccess,
cmd_GLCD_FrameBufferAddress
}

## Functions

void | vDisplayTask (void *pvParameters)

## Enumeration Type Documentation

## DisplayCommand

enum DisplayCommand

Enumerator
cmd_GLCD_Initialize |
cmd_GLCD_Uninitialize |
cmd_GLCD_SetForegroundColor |
cmd_GLCD_SetBackgroundColor |
cmd_GLCD_ClearScreen |
cmd_GLCD_SetFont |
cmd_GLCD_DrawPixel |
cmd_GLCD_DrawHLine |
cmd_GLCD_DrawVLine |
cmd_GLCD_DrawRectangle |
cmd_GLCD_DrawChar |
cmd_GLCD_DrawString |
cmd_GLCD_DrawBargraph |
cmd_GLCD_DrawBitmap |
cmd_GLCD_VScroll |
cmd_GLCD_FrameBufferAccess |
cmd_GLCD_FrameBufferAddress |

## Function Documentation

## vDisplayTask()

void vDisplayTask | ( | void * | pvParameters | ) |

Here is the call graph for this function:
Here is the caller graph for this function: